<?php

namespace Wechat\Work;
;

class Work extends Base
{
    public function __construct($config)
    {
        parent::__construct($config);
    }

    /**
     * 消息推送
     * @return Message
     */
    public function message()
    {
        return new Message($this);
    }

    /**
     *  群聊接口
     * @param string $id 群id
     */
    public function chat($id)
    {
        return new Chat($id, $this);
    }

    /**
     * 小程序接口
     * @return Miniprogram
     */
    public function miniProgram()
    {
        return new Miniprogram($this);
    }

    /**
     * 用户接口
     * @return User
     */
    public function user()
    {
        return new User($this);
    }

}